| LogDoctor 4.00 Parse Apache2/Nginx/IIS logs and view dinamically generated statistics

Loading...
Searching...
No Matches
Public Member Functions | Private Slots | List of all members
Crapnote Class Referencefinal

Crapnote. More...

`#include <crapnote.h>`

Inheritance diagram for Crapnote:

## Public Member Functions
void | setTextFont (QFont font) noexcept
| Sets the given font.
void | setColorScheme (const ColorsScheme colors_scheme)
| Sets the given color-scheme.

## Private Slots
void | on_spinBox_FontSize_valueChanged (int arg1)
| Sets the given font size.
void | on_button_FontSize_Minus_clicked ()
| Decrease the font size of 1 point.
void | on_button_FontSize_Plus_clicked ()
| Increase the font size of 1 point.

## Detailed Description

Crapnote.

A simple block-note like widget

## Member Function Documentation

## ◆ setColorScheme()

void Crapnote::setColorScheme | ( | const ColorsScheme | colors_scheme | ) |

Sets the given color-scheme.

Exceptions

  DoNotCatchException |

The documentation for this class was generated from the following files:

- logdoctor/tools/crapnote/crapnote.h
- logdoctor/tools/crapnote/crapnote.cpp